<?php
function gamma_settings(){
	$form['gamma'] = array(
		'#type' => 'fieldset',
		'#title' => 'Settings Gamma Gallery'
	);
	
	//Field Image
	$form['gamma']['image'] = array(
		'#type' => 'fieldset',
		'#title' => 'Field Image',
		'#description' => 'Settings Field Image',
		'#collapsible' => TRUE,
		'#collapsed' => FALSE,
	);
	
	$form['gamma']['image']['slider_image'] = array(
		'#type' => 'radios',
		'#title' => t('Hide image slider ?'),
		'#default_value' => variable_get('slider_image', '0'),
		'#options' => array(
			'0' => 'no',
			'1' => 'yes'
		)
	);
	
	$form['gamma']['image']['auto_slide_image'] = array(
		'#type' => 'radios',
		'#title' => t('Auto scrolling for field image'),
		'#description' => t('Enable auto scrolling slideshow'),
		'#default_value' => variable_get('auto_slide_image', '0'),
		'#options' => array(
			'0' => 'no',
			'1' => 'yes'
		),
		'#states' => array(
			'visible' => array(
				'input[name="slider_image"]' => array('value' => '1'),
			)
		)
	);
	
	//Field Video
	$form['gamma']['video'] = array(
		'#type' => 'fieldset',
		'#title' => 'Field Video',
		'#description' => 'Settings Field Video',
		'#collapsible' => TRUE,
		'#collapsed' => FALSE,
	);
	
	$form['gamma']['video']['slider_video'] = array(
		'#type' => 'radios',
		'#title' => t('Hide video slider ?'),
		'#default_value' => variable_get('slider_video', '1'),
		'#options' => array(
			'0' => 'no',
			'1' => 'yes'
		)
	);
	
	$form['gamma']['video']['auto_slide_video'] = array(
		'#type' => 'radios',
		'#title' => t('Auto scrolling for field video'),
		'#description' => t('Enable auto scrolling slideshow'),
		'#default_value' => variable_get('auto_slide_video', '0'),
		'#options' => array(
			'0' => 'no',
			'1' => 'yes'
		),
		'#states' => array(
			'visible' => array(
				'input[name="slider_video"]' => array('value' => '1'),
			)
		)
	);
	
	
	return system_settings_form($form);
}