(function ($) {
Drupal . behaviors . gamma =  { 
    attach :  function  ( context , settings )  {
	//fix fancybox
	$('#gamma ul li .gamma_img a').each(function(){
		var tek_url = $(this).attr('href');
		var tek_class = $(this).attr('class');
		var tek_rel = $(this).attr('data-fancybox-group');
		var tek_title = $(this).attr('title');
		
		$(this).parents('li').children('.desc').children('a').attr('class', tek_class);
		$(this).parents('li').children('.desc').children('a').attr('data-fancybox-group', tek_rel);
		$(this).parents('li').children('.desc').children('a').attr('title', tek_title);
		$(this).parents('li').children('.desc').children('a').attr('href', tek_url);
		
		$(this).children('img').unwrap();
	});
	
	//auto fancybox
	//$('#gamma .desc a').fancybox();
	
	//size block
	var height = $('#gamma ul li .gamma_img img').attr('height');
	var width = $('#gamma ul li .gamma_img img').attr('width');
	
	$('#gamma ul li .desc').css({'width':width, 'height':height});
	$('#gamma ul li .gamma_img').css({'width':width, 'height':height});
	$('#gamma ul li .desc_text').css({'width':width - 90, 'height':height - 90});
	
	//slider
	//slider image
	
	if(Drupal.settings.gamma_image == 1){
		if(Drupal.settings.gamma_image_auto_scrolling == 1){
			var auto_image = true;
		}else{
			var auto_image = false;
		}
	
		$('#gamma_ul').carouFredSel({
			auto: auto_image,
			prev: '#prev',
			next: '#next',
			mousewheel: true,
			swipe: {
				onMouse: true,
				onTouch: true
			},
			scroll : {
            //items           : 1,
            //easing          : "elastic",
            //duration        : 1000,                         
            pauseOnHover    : true
        }           
		});
	};
	
	
	
	//slider video
	if(Drupal.settings.gamma_video == 1){
		var test = Drupal.settings.gamma_video_auto_scrolling;
		if(Drupal.settings.gamma_video_auto_scrolling == 1){
			var auto_video = true;
		}else{
			var auto_video = false;
		}
		
		$('#gamma_video_ul').carouFredSel({
		auto: auto_video,
		prev: '#prev_video',
		next: '#next_video',
		mousewheel: true,
		swipe: {
			onMouse: true,
			onTouch: true
		},
		scroll : {
            //items           : 1,
            //easing          : "elastic",
            //duration        : 1000,                         
            pauseOnHover    : true
        }           
	});
	}
	
  } 
  }; 	
})(jQuery);